## org.eclipse.emf.validation.model
Interface IConstraintStatus

All Superinterfaces:
  IStatus

All Known Implementing Classes:
  ConstraintStatus

    public interface IConstraintStatus

extends IStatus

A specialization of the Eclipse `IStatus` interface which provides additional information about the success or failure of the validation of a particular constraint on a particular model element.

Field Summary

Fields inherited from interface org.eclipse.core.runtime.IStatus
`CANCEL, ERROR, INFO, OK, WARNING`

Method Summary
`IModelConstraint` `getConstraint()` Obtains the constraint which either succeeded or failed, according to what I have to say.
`Set<EObject>` `getResultLocus()` Obtains the objects which are involved in the failure of the constraint.
`EObject` `getTarget()` Obtains the target object, on which the constraint was evaluated.

Methods inherited from interface org.eclipse.core.runtime.IStatus
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

Method Detail

### getConstraint

    IModelConstraint getConstraint()

  Obtains the constraint which either succeeded or failed, according to what I have to say.

  Returns:
    my constraint

### getTarget

    EObject getTarget()

  Obtains the target object, on which the constraint was evaluated.

  Returns:
    the target of the validation operation

### getResultLocus

    Set<EObject> getResultLocus()

  Obtains the objects which are involved in the failure of the constraint. These are objects which caused the constraint to fail, and would be useful to link to from some display of the error message.

  Returns:
    the objects which caused the constraint to fail. In cases of successful validation, the result is an empty collection. The result is never `null`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.